import java.io.*;
 
class fa1 extends f_x
{
   double func (double x)
   {
    return x*Math.sin(10.0*Math.PI*x)+1.0;
   }
}

class PlotT1
{
     public static void main (String args[]) throws IOException
     {
     fa1 ff=new fa1();
     //initilise as a function plot
     Plot2 pp=new Plot2(ff,-1,2.0,400);
     // some of the optional setup
     pp.setPlabel("Fonksiyon Plot");
     pp.setXlabel("x ekseni");
     pp.setYlabel("y ekseni");
     pp.setColor(0,100,100,100); // 0 means line #1 Color(100,100,100)
     pp.setPlotType(0,0);
     //open the plot window
     PlotW2.plot(pp);
     }
}
